# Lagerbereiche

Lagerbereiche zu Artikeln

## GET /erp/articles/{articleId}/storage-areas/{articleStorageAreaId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Lagerbereiche","description":"Lagerbereiche zu Artikeln"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/articles/{articleId}/storage-areas/{articleStorageAreaId}":{"get":{"tags":["Lagerbereiche"],"operationId":"getArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"articleStorageAreaId","in":"path","description":"ID of Storage-Area","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Der Artikel, dessen Lagerbereiche hier ausgegeben werden"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In welchem Lager wird der Artikel gelagert"},"storageAreaLabel":{"type":"string","description":"Label des Lagerbereichs","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## PUT /erp/articles/{articleId}/storage-areas/{articleStorageAreaId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Lagerbereiche","description":"Lagerbereiche zu Artikeln"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/articles/{articleId}/storage-areas/{articleStorageAreaId}":{"put":{"tags":["Lagerbereiche"],"operationId":"updateArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"articleStorageAreaId","in":"path","description":"ID of article-storage-area","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Der Artikel, dessen Lagerbereiche hier ausgegeben werden"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In welchem Lager wird der Artikel gelagert"},"storageAreaLabel":{"type":"string","description":"Label des Lagerbereichs","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## DELETE /erp/articles/{articleId}/storage-areas/{articleStorageAreaId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Lagerbereiche","description":"Lagerbereiche zu Artikeln"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/articles/{articleId}/storage-areas/{articleStorageAreaId}":{"delete":{"tags":["Lagerbereiche"],"operationId":"deleteArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"articleStorageAreaId","in":"path","description":"ID of article-storage-area","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/articles/{articleId}/storage-areas

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Lagerbereiche","description":"Lagerbereiche zu Artikeln"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/articles/{articleId}/storage-areas":{"get":{"tags":["Lagerbereiche"],"operationId":"getArticleStorageAreas","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Der Artikel, dessen Lagerbereiche hier ausgegeben werden"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In welchem Lager wird der Artikel gelagert"},"storageAreaLabel":{"type":"string","description":"Label des Lagerbereichs","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/articles/{articleId}/storage-areas

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Lagerbereiche","description":"Lagerbereiche zu Artikeln"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/articles/{articleId}/storage-areas":{"post":{"tags":["Lagerbereiche"],"operationId":"createArticleStorageArea","parameters":[{"name":"articleId","in":"path","description":"ID of Article","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ArticleStorageArea"}}}}}}}},"components":{"schemas":{"erp-product-ArticleStorageArea":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"integer","format":"int64","description":"Der Artikel, dessen Lagerbereiche hier ausgegeben werden"},"articleNumber":{"type":"string","description":"Artikelnummer","readOnly":true},"storageAreaId":{"type":"integer","format":"int64","description":"In welchem Lager wird der Artikel gelagert"},"storageAreaLabel":{"type":"string","description":"Label des Lagerbereichs","readOnly":true}},"required":["articleId","storageAreaId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/lagerbereiche.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
